#
# spec file for package yp-tools (Version 2.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gettext
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         yp-tools
Copyright:    GPL
Group:        Networking/Utilities
Requires:     ypbind
Provides:     ypclient:/usr/bin/ypwhich
Autoreqprov:  on
BuildRoot:    %{_tmppath}/yp-tools-root
Version:      2.5
Release:      96
Summary:      NIS (YP) client utilities
Source: yp-tools-%{version}.tar.bz2
Source1: match_printcap
Patch: yp-tools-%{version}.dif

%description
This packages contains some useful tools to access NIS maps or to
test a NIS configuration.

Authors:
--------
    Thorsten Kukuk <kukuk@suse.de>

SuSE series: n

%prep
%setup
%patch

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --enable-domainname --mandir=%{_mandir} --libexecdir=/usr/lib/yp
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
cp -a $RPM_BUILD_ROOT%{_mandir}/man8/domainname.8 $RPM_BUILD_ROOT%{_mandir}/man8/nisdomainname.8
cp -a $RPM_BUILD_ROOT%{_mandir}/man8/domainname.8 $RPM_BUILD_ROOT%{_mandir}/man8/ypdomainname.8
mkdir -p $RPM_BUILD_ROOT/usr/lib/yp
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/yp

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%dir /var/yp
%config(noreplace) /var/yp/nicknames
/bin/ypdomainname
/bin/nisdomainname
/usr/bin/ypcat
/usr/bin/ypchfn
/usr/bin/ypchsh
/usr/bin/ypmatch
/usr/bin/yppasswd
/usr/bin/ypwhich
%dir /usr/lib/yp
/usr/lib/yp/match_printcap
%doc %{_mandir}/man1/ypcat.1.gz
%doc %{_mandir}/man1/ypchfn.1.gz
%doc %{_mandir}/man1/ypchsh.1.gz
%doc %{_mandir}/man1/ypmatch.1.gz
%doc %{_mandir}/man1/yppasswd.1.gz
%doc %{_mandir}/man1/ypwhich.1.gz
%doc %{_mandir}/man5/nicknames.5.gz
%doc %{_mandir}/man8/yppoll.8.gz
%doc %{_mandir}/man8/ypset.8.gz
%doc %{_mandir}/man8/ypdomainname.8.gz
%doc %{_mandir}/man8/nisdomainname.8.gz
/usr/sbin/yppoll
/usr/sbin/ypset
%dir /usr/share/locale/de
%dir /usr/share/locale/de/LC_MESSAGES
/usr/share/locale/de/LC_MESSAGES/yp-tools.mo

%changelog -n yp-tools
* Fri Sep 07 2001 - kukuk@suse.de
- Call setlocale for LC_CTYPE to see correct, translated output
  [Bug #10297]
* Sun Apr 15 2001 - schwab@suse.de
- Fix missing declarations.
* Thu Apr 12 2001 - kukuk@suse.de
- Change patch and configure call for new gettext version
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Wed Mar 21 2001 - kukuk@suse.de
- Update to 2.5
* Thu Nov 02 2000 - kukuk@suse.de
- New, split from old ypclients package
